# Class BeanContextEvent

java.lang.Object
java.util.EventObject
java.beans.beancontext.BeanContextEvent

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `BeanContextMembershipEvent, BeanContextServiceAvailableEvent, BeanContextServiceRevokedEvent`

@Deprecated(since="23", forRemoval=true) public abstract class BeanContextEvent extends EventObject
Deprecated, for removal: This API element is subject to removal in a future version.

`BeanContextEvent` is the abstract root event class for all events emitted from, and pertaining to the semantics of, a `BeanContext`. This class introduces a mechanism to allow the propagation of `BeanContextEvent` subclasses through a hierarchy of `BeanContext`s. The `setPropagatedFrom()` and `getPropagatedFrom()` methods allow a `BeanContext` to identify itself as the source of a propagated event.

Since:
  1.2
See Also:
  - `BeanContext`
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected BeanContext`
  `propagatedFrom`
  Deprecated, for removal: This API element is subject to removal in a future version.
  The `BeanContext` from which this event was propagated

  ### Fields declared in class EventObject

  `source`
  Modifier and Type
  Field
  Description
  `protected Object`
  `source`
  The object on which the Event initially occurred.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BeanContextEvent(BeanContext bc)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Construct a BeanContextEvent

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BeanContext`
  `getBeanContext()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Gets the `BeanContext` associated with this event.
  `BeanContext`
  `getPropagatedFrom()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Gets the `BeanContext` from which this event was propagated.
  `boolean`
  `isPropagated()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Reports whether or not this event is propagated from some other `BeanContext`.
  `void`
  `setPropagatedFrom(BeanContext bc)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Sets the `BeanContext` from which this event was propagated.

  ### Methods declared in class EventObject

  `getSource, toString`
  Modifier and Type
  Method
  Description
  `Object`
  `getSource()`
  The object on which the Event initially occurred.
  `String`
  `toString()`
  Returns a String representation of this EventObject.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### propagatedFrom

    protected BeanContext propagatedFrom
    Deprecated, for removal: This API element is subject to removal in a future version.
    The `BeanContext` from which this event was propagated

- ## Constructor Details

  - ### BeanContextEvent

    protected BeanContextEvent(BeanContext bc)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Construct a BeanContextEvent
    Parameters:
      `bc` - The BeanContext source

- ## Method Details

  - ### getBeanContext

    public BeanContext getBeanContext()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Gets the `BeanContext` associated with this event.
    Returns:
      the `BeanContext` associated with this event.

  - ### setPropagatedFrom

    public void setPropagatedFrom(BeanContext bc)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Sets the `BeanContext` from which this event was propagated.
    Parameters:
      `bc` - the `BeanContext` from which this event was propagated

  - ### getPropagatedFrom

    public BeanContext getPropagatedFrom()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Gets the `BeanContext` from which this event was propagated.
    Returns:
      the `BeanContext` from which this event was propagated

  - ### isPropagated

    public boolean isPropagated()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Reports whether or not this event is propagated from some other `BeanContext`.
    Returns:
      `true` if propagated, `false` if not